@Anonymous
Whatever you do, minimize the use of GUI elements like the ribbon, toolbars, layer manager....
Learn the keyboard shortcuts for main commands like line, arc, pline, circle...anything you draw regularly.
Zoom with wheel is ok, though I still use ZZ to zoom out (custom key-in), lisp code for that is:
(DEFUN C:ZZ () (PRINC "\nZoom previous")(COMMAND "._ZOOM" "P") (PRINC))
Always use space bar as enter, except
I change MBUTTONPAN to 0, then issue snaps by clicking the wheel, then typing the letter of the osnap, like E for endpoint. Its really fast, as you don't have to hit enter. Why do this? because "running" osnaps:
a) get in the way when you don't want them (I know, hit F3 to toggle on and off)
b) take two modes at once which can cause mistakes or annoyance when working fast
c) most important - running osnaps will "accept" a missed pick. You want endpoint, and accidentally pick just off the line/arc/whatever, and it still takes the point. That happens to me about once an hour at least, and I simply repick.
Now that I'm warmed up, avoid the xref manager for unload and reload, use these key-ins:
(DEFUN C:XUL ( / sel) (PRINC "\nXref unload")
(setq sel (entsel "Select XREF to Unload: "))(princ (strcat "\nUnloaded " (setq xrf (cdr (assoc 2 (entget (car sel)))))))(command "-xref" "unload" xrf)(princ))
(DEFUN C:XRL () (PRINC "\nXref reload")
(setq sel (entsel "Select XREF to Reload: "))(princ (strcat "\nReloaded " (setq xrf (cdr (assoc 2 (entget (car sel)))))))(command "-xref" "reload" xrf)(princ))
(DEFUN C:XDT () (PRINC "\nXref detach")
(setq sel (entsel "Select XREF to detach: "))(princ (strcat "\nDetached " (setq xrf (cdr (assoc 2 (entget (car sel)))))))(command "-xref" "detach" xrf)(princ))
now, maybe my best tip, and many people have found tools to do this, but get a tool that lets you change layer properties of an items layer from an entity pick.
I recommend the "CC" tool in my free utils, look up PurgeIDs, its in those tools.
You can then pick an item, get its properties in a dialog, and change its layer on/off/color/linetype/plot/lineweight....without going to the layer manager and finding your poor layer in the long list.
If you cannot do that, note that the current layer is highlighted when you bring up the layer manager. Does not help with xref layers though, and entire companies have layer standards to help find and isolate layers, when you can just tell people "use a name that makes sense, and use CC to change a given items props". Layer consistency is good, but not relying on it for production speed is better.
Stuff like this you only get from hanging out with a career cad operator that cares about saving tendons and minutes and boredom. Training sites will not teach this, they will show the ribbon and things that shred your wrist to pieces after 9 hours a day. So if you are not doing at least half the work with your left hand on keyboard, you are asking for trouble IMO. The crazy thing is I have not found any youtuber teaching this stuff. I might if I get my video editing act together.
internal protected virtual unsafe Human() : mostlyHarmless
I'm just here for the Shelties